<link type="text/css" href="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/css/dataTables.checkboxes.css" rel="stylesheet" />
<script type="text/javascript" src="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/js/dataTables.checkboxes.min.js"></script>
<script>
	function actiBasesCompétences_MoveTxtFilter(onglet) {
		if ($('#entityFormBaseGrille_DataTable_' + onglet + '_filter')) {
			$('#entityFormBaseGrille_DataTable_' + onglet + '_info').appendTo('#' + onglet + '_Info');
			$('#entityFormBaseGrille_DataTable_' + onglet + '_filter').appendTo('#' + onglet + '_Filter');

			// Sort by column 1 and then re-draw
			var table = $('#entityFormBaseGrille_DataTable_' + onglet).DataTable();
			table.order([0, 'asc']).draw();
		}
	}
	function actiBasesCompétences_FiltrePourSGAB_AB(onglet, psType, piId) {

		$.fn.dataTable.ext.search.pop();
		$.fn.dataTable.ext.search.push(
			function( settings, data, dataIndex ) {
				if (!settings.nTable.id == '#entityFormBaseGrille_DataTable_' + onglet) {
					// Pas le bon DataTable
					return true ;
				}
				
				if (psType == "GAB" && piId == 0) {
					// Tous
					return true ;
				}
				var col = 0 ;
				if (psType == "SGAB") col = 5
				if (psType == "GAB") col = 6
				var liId = parseFloat( data[col] ) || 0 ;
				if ( liId == piId ) {
					return true ;
				}
				return false ;
			}
		);

		var table = $('#entityFormBaseGrille_DataTable_' + onglet).DataTable();
//return ;
		table.order([0, 'asc']).draw();
		
	}
	
    function actiBasesCompétences_ToggleAllCompétences(Onglet, context) {
        // Check/uncheck all checkboxes in the table
		var FirstLetter = Onglet.substr(0, 1);
        var table = $('#entityFormBaseGrille_DataTable_' + Onglet ).DataTable();
        var rows = table.rows({'search': 'applied'}).nodes();
{# LG 20200824 old : ne fonctionne pas dans la cas des conglets compétences des ressources       $('#' + FirstLetter, rows).prop('checked', context.checked);#}
        $('input[type="checkbox"]', rows).prop('checked', context.checked);
    }
    
    function actiBasesCompétences_ToggleCompétence(Onglet, context){
		if (!context.checked) {
			var el = $('#select-all-' + Onglet.substr(0, 1)).get(0);
			// If "Select all" control is checked and has 'indeterminate' property
			if (el && el.checked && ('indeterminate' in el)) {
				// Set visual state of "Select all" control 
				// as 'indeterminate'
				el.indeterminate = true;
			}
		}
    }

</script>